
using Godot;


namespace Rokojori
{  
  [GlobalClass ]
  public partial class ActionReference : Action
  {
    [Export]
    public Action referencedAction;

    protected override void _OnTrigger()
    {
      Action.Trigger( referencedAction );
    }
  }

}